## Configuring info endpoint
info:
  app:
    name: @project.artifactId@
    description: @project.description@
    version: @project.version@
  java-vendor: ${java.specification.vendor}

###
#   Database Settings
###
spring:
  datasource:
    url: jdbc:h2:mem:payment;DB_CLOSE_DELAY=-1;DB_CLOSE_ON_EXIT=FALSE
    username: naruto
    password: naruto
    driverClassName: org.h2.Driver
  jpa:
    database-platform: org.hibernate.dialect.H2Dialect
    hibernate:
      ddl-auto: update
    properties:
      hibernate:
        show_sql: true
        use_sql_comments: true
        format_sql: true

  ###
  #   H2 Settings
  ###
  h2:
    console:
      enabled: true
      path: /h2/console
      settings:
        trace: false
        web-allow-others: false
  sql:
    init:
      platform: h2
  application:
    name: payment-service
server:
  port: 8082
eureka:
  instance:
    instance-id: ${spring.cloud.client.ip-address}:${spring.application.name}:${server.port}:${random.uuid}
management:
  endpoints:
    web:
      base-path: /
      exposure:
        include: '*'

